Search documentation of wx

# wxWindowCreateEvent (wx v2.5.4)

Copy Markdown View Source

This event is sent just after the actual window associated with a `wxWindow` object has been created.

Since it is derived from `wxCommandEvent`, the event propagates up the window hierarchy.

See:

- Overview events

- `wxWindowDestroyEvent`

This class is derived, and can use functions, from:

- `wxCommandEvent`

- `wxEvent`

wxWidgets docs: wxWindowCreateEvent

## Events

Use `wxEvtHandler:connect/3` with `wxWindowCreateEventType` to subscribe to events of this type.

## Summary

### Types

wxWindowCreate()
wxWindowCreateEvent()
wxWindowCreateEventType()

## Types

# wxWindowCreate()

    -type wxWindowCreate() :: #wxWindowCreate{type :: wxWindowCreateEvent:wxWindowCreateEventType()}.

# wxWindowCreateEvent()

    -type wxWindowCreateEvent() :: wx:wx_object().

# wxWindowCreateEventType()

    -type wxWindowCreateEventType() :: create.